Bug 45449 - Writer ODF export: invalid "fo:min-width"/"fo:min-height" on draw:frame
Summary: Writer ODF export: invalid "fo:min-width"/"fo:min-height" on draw:frame
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:3.4.6 target:3.5.1 target:3.6....
Keywords:
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2012-01-31 07:26 UTC by sasha.libreoffice
Modified: 2017-05-28 14:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
validated file (23.18 KB, application/vnd.oasis.opendocument.text)
2012-01-31 07:26 UTC, sasha.libreoffice
Details
bugdoc for invalid fo:min-height on draw:frame (8.88 KB, application/vnd.oasis.opendocument.text)
2012-02-02 09:39 UTC, Michael Stahl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-01-31 07:26:21 UTC
Created attachment 56395 [details]
validated file

document of Writer not passed validation on http://odf-validator.rhcloud.com/
error is:
RepBericht.odt/content.xml[2,28251]: Error: unexpected attribute "fo:min-width"

LibO 3.6.0 master a1275f8-9eed775-f061262
Comment 1 Michael Stahl 2012-02-02 09:39:10 UTC
Created attachment 56548 [details]
bugdoc for invalid fo:min-height on draw:frame
Comment 2 Michael Stahl 2012-02-02 09:42:12 UTC
so apparently this XMLTextParagraphExport::addTextFrameAttributes
already had a workaround for delaying the write of fo:min-height
to the nested text-box element in one case; added one for fo:min-width,
plus another one for fo:min-height that fixes the validation
error from the second bugdoc.

it seems this problem only affects Writer text frames;
i couldn't get an invalid text box drawing object.

fixed on master:

0b7bba10208d198471cbdb56c2007e5cdb00a6ac